Subject: bug#18814: closed (Re: bug#18814: ffmpeg 2.4.2 upgrade broke vlc)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 26 Oct 2014 00:09:03 +0000

Your bug report

#18814: ffmpeg 2.4.2 upgrade broke vlc

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18814: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18814
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18814: ffmpeg 2.4.2 upgrade broke vlc
From: Mark H Weaver <[email-masked]>
To: Jason Self <[email-masked]>
Cc: [email-masked]
Date: Sat, 25 Oct 2014 20:08:33 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Mark H Weaver <[email-masked]> writes:

> Jason Self <[email-masked]> writes:
>
>> commit 7947a05439cc26d93bd93300f38d216dbb93c76d
>> Author: Jason Self <[email-masked]>
>> Date:   Mon Oct 20 12:32:42 2014 -0700
>>
>>     gnu: ffmpeg: Update to 2.4.2.
>>     
>>     * gnu/packages/video.scm (ffmpeg): Update to version 2.4.2.
>
> This broke the vlc build with the following error:
>
>   checking for AVCODEC... yes
>   configure: error: libavcodec versions 56 and later are not supported yet.

I fixed this by adding ffmpeg-2.2 and using it for vlc, in commit
f9e687b51aafaa160b3c361c801ec5823dbef2f0.  I'm closing this bug now.

      Mark

Subject: ffmpeg 2.4.2 upgrade broke vlc
From: Mark H Weaver <[email-masked]>
To: Jason Self <[email-masked]>
Cc: [email-masked]
Date: Fri, 24 Oct 2014 04:57:23 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Jason Self <[email-masked]> writes:

> commit 7947a05439cc26d93bd93300f38d216dbb93c76d
> Author: Jason Self <[email-masked]>
> Date:   Mon Oct 20 12:32:42 2014 -0700
>
>     gnu: ffmpeg: Update to 2.4.2.
>     
>     * gnu/packages/video.scm (ffmpeg): Update to version 2.4.2.

This broke the vlc build with the following error:

  checking for AVCODEC... yes
  configure: error: libavcodec versions 56 and later are not supported yet.

See:

  http://hydra.gnu.org/job/gnu/master/vlc-2.1.4.x86_64-linux
  http://hydra.gnu.org/job/gnu/master/vlc-2.1.4.i686-linux

I tried upgrading vlc to the latest release (2.1.5), but it didn't help:

  http://hydra.gnu.org/job/gnu/master/vlc-2.1.5.x86_64-linux
  http://hydra.gnu.org/job/gnu/master/vlc-2.1.5.i686-linux

Two solutions come to mind:

* Add an alternate 'ffmpeg-2.3' package (in addition to 2.4.x) for use
  by vlc.

* Look for upstream vlc patches that fix this problem.

Jason, would you like to look into it?

     Mark